/*
============================================================================
 Name        : SyMazeApp.cpp
 Author      : Konstantin Tretyakov
 Version     :
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : Main application class
============================================================================
*/

// INCLUDE FILES
#include    "SyMazeApp.h"
#include    "SyMazeDocument.h"

// ================= MEMBER FUNCTIONS =======================

// ---------------------------------------------------------
// CSyMazeApp::AppDllUid()
// Returns application UID
// ---------------------------------------------------------
//
TUid CSyMazeApp::AppDllUid() const
{
    return KUidSyMaze;
}


// ---------------------------------------------------------
// CSyMazeApp::CreateDocumentL()
// Creates CSyMazeDocument object
// ---------------------------------------------------------
//
CApaDocument* CSyMazeApp::CreateDocumentL()
{
    return CSyMazeDocument::NewL( *this );
}

// ================= OTHER EXPORTED FUNCTIONS ==============
//
// ---------------------------------------------------------
// NewApplication()
// Constructs CSyMazeApp
// Returns: created application object
// ---------------------------------------------------------
//
EXPORT_C CApaApplication* NewApplication()
{
    return new CSyMazeApp;
}

// ---------------------------------------------------------
// E32Dll(TDllReason)
// Entry point function for EPOC Apps
// Returns: KErrNone: No error
// ---------------------------------------------------------
//
GLDEF_C TInt E32Dll( TDllReason )
{
    return KErrNone;
}



