/*
============================================================================
 Name        : CSyMazeAppUi.cpp
 Author      : Konstantin Tretyakov
 Version     :
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : CSyMazeAppUi implementation
============================================================================
*/

// INCLUDE FILES
#include "SyMazeAppui.h"
#include "SyMazeContainer.h"
#include <SyMaze.rsg>
#include "SyMaze.hrh"

#include <avkon.hrh>
#include <aknnotewrappers.h>

// ================= MEMBER FUNCTIONS =======================

void CSyMazeAppUi::ConstructL()
{
    BaseConstructL();

    iAppContainer = new (ELeave) CSyMazeContainer;
    iAppContainer->SetMopParent( this );
    iAppContainer->ConstructL( ClientRect() );
    AddToStackL( iAppContainer );
}


CSyMazeAppUi::~CSyMazeAppUi()
{
    if (iAppContainer)
        {
        RemoveFromStack( iAppContainer );
        delete iAppContainer;
        }
}

// ------------------------------------------------------------------------------
// CSyMazeAppUi::DynInitMenuPaneL(TInt aResourceId,CEikMenuPane* aMenuPane)
//  This function is called by the EIKON framework just before it displays
//  a menu pane. Its default implementation is empty, and by overriding it,
//  the application can set the state of menu items dynamically according
//  to the state of application data.
// ------------------------------------------------------------------------------
//
void CSyMazeAppUi::DynInitMenuPaneL(TInt /*aResourceId*/,CEikMenuPane* /*aMenuPane*/)
{
}



TKeyResponse CSyMazeAppUi::HandleKeyEventL(const TKeyEvent& aKeyEvent, TEventCode aType)
{
    if (aType == EEventKey) {
        switch(aKeyEvent.iScanCode){
            case EStdKeyUpArrow: iAppContainer->iGameControl->Move(1, 0, 0); break;
            case EStdKeyDownArrow:  iAppContainer->iGameControl->Move(-1, 0, 0); break;
            case EStdKeyLeftArrow:  iAppContainer->iGameControl->Turn(-1); break;
            case EStdKeyRightArrow: iAppContainer->iGameControl->Turn(1); break;
            case EStdKeyDevice3:    iAppContainer->iGameControl->OKButton(); break;
            case EStdKeyNkp5:       iAppContainer->iGameControl->Shoot(); break;
            default: return EKeyWasNotConsumed;
        }
        return EKeyWasConsumed;
    }
    else return EKeyWasNotConsumed;
}



void CSyMazeAppUi::HandleCommandL(TInt aCommand)
{
    switch ( aCommand )
        {
        case EAknSoftkeyBack:
        case EEikCmdExit:
            {
            Exit();
            break;
            }
        default:
            break;
        }
}




