/*
============================================================================
 Name        : SyMazeDocument.cpp
 Author      : Konstantin Tretyakov
 Version     :
 Copyright   : Copyright 2006, Konstantin Tretyakov
 Description : CSyMazeDocument implementation
============================================================================
*/

// INCLUDE FILES
#include "SyMazeDocument.h"
#include "SyMazeAppui.h"

// ================= MEMBER FUNCTIONS =======================

// constructor
CSyMazeDocument::CSyMazeDocument(CEikApplication& aApp)
: CAknDocument(aApp)
{
}

// destructor
CSyMazeDocument::~CSyMazeDocument()
{
}

// EPOC default constructor can leave.
void CSyMazeDocument::ConstructL()
{
}

// Two-phased constructor.
CSyMazeDocument* CSyMazeDocument::NewL(CEikApplication& aApp)     // CSyMazeApp reference
{
    CSyMazeDocument* self = new (ELeave) CSyMazeDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    CleanupStack::Pop();

    return self;
}

CEikAppUi* CSyMazeDocument::CreateAppUiL()
{
    return new (ELeave) CSyMazeAppUi;
}


